<img
	align="right"
	src="/resources/rounded-logo.png"
	alt="Paquet logo"
	height="150px"
/>

# [📦 Paquet](https://paquet.shop)

[![Discord](https://img.shields.io/discord/1031892991478071306)](https://discord.com/invite/DXke9aSZh6)

Welcome to your new web app shop!

👋 Submit a new app 👉 [here](https://github.com/notangelmario/paquet/issues/new?labels=new+app&template=app-request.md)

---

### 🥳 Congrats!

Paquet won a contest at a **youth exchange** project
about young entrepreneurship. [Read more about it here!](https://angelmario.eu/blog/young-entrepreneurship)

---

### About

- ⚡ Optimized for speed
- 💄 An actual good looking web app shop
- ✨ As open as it gets
- 🩸 On the bleeding edge of web technology
- 🌐 Hosted on the edge
- 🚀 Encourage app performance
- 🔒 Security is a top priority
- 🎈 Easy to contribute

## 🧰 Tools

Paquet is built with a modern toolset in mind:

- [Deno](https://deno.land)
- [Fresh](https://fresh.deno.dev)
- [Twind](https://twind.dev)
- [Supabase](https://supabase.com)

## 🔨 Tasks

To cache all required dependencies:

```
deno task cache
```

To run the app in development mode:

```
deno task dev
```

To update all apps:

```
deno task update [appId] [--force]
```

To manage dependencies:

```
deno task esm:[add|remove|update]
```

To type check, lint, and format the source code:
```
deno task check
```

## 📄 Developer Documentation

Developer documentation is available both on [GitHub](/docs/getting-started.md) and
[Paquet](https://paquet.shop/docs/getting-started)

Developer documentation teaches you how you can add your own app to Paquet or build an app using Paquet's APIs
